JobControllerRunJob Method |
POST /Job/Run/{id}
Runs a job.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Run")]
public IActionResult RunJob(
Guid id,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Run")>
Public Function RunJob (
id As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Run")]
IActionResult^ RunJob(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Run")>]
member RunJob :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
ID of the job to run. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
IActionResultThe
Int64 ID of the job run, or a status code indicating the problem.
See Also